Bug 132591 - RFE: shutil -i stores /etc/cluster.xml automagically
Summary: RFE: shutil -i stores /etc/cluster.xml automagically
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 131576
TreeView+ depends on / blocked
 
Reported: 2004-09-14 21:05 UTC by Lon Hohberger
Modified: 2009-04-16 20:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 22:42:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch implementing requested behavior. (449 bytes, patch)
2004-09-14 21:10 UTC, Lon Hohberger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:491 high SHIPPED_LIVE Updated clumanager and redhat-config-cluster packages 2004-12-20 05:00:00 UTC

Description Lon Hohberger 2004-09-14 21:05:51 UTC
Several problems have been encountered in the field after a person
runs 'shutil -i' but not 'shutil -s /etc/cluster.xml'.

Since, practically speaking, they should always be run together, the
proposal is to have 'shutil -i' also store /etc/cluster.xml in the
configuration section of shared storage.  This will prevent shared
storage with a blank cluster configuration, which causes clulockd and
clusvcmgrd to complain:

Sep  8 18:14:15 foo01 clulockd[2342]: <emerg> Could not determine
local member ID!
Sep  8 18:14:15 foo01 cluquorumd[2246]: <crit> Lock manager missing;
restarting!
Sep  8 18:14:15 foo01 clulockd[2344]: <emerg> Could not determine
local member ID!
Sep  8 18:14:15 foo01 cluquorumd[2246]: <crit> Lock manager missing;
restarting!

This does not preclude the user from overwriting with another
cluster.xml; it simply prevents the common case of initialization
without storing configuration info.

Comment 1 Lon Hohberger 2004-09-14 21:10:50 UTC
Created attachment 103845 [details]
Patch implementing requested behavior.

Comment 5 Derek Anderson 2004-11-08 22:42:59 UTC
Verified the above test against:

clumanager-1.2.22-2

Ready for RHEL3-U4.

Comment 6 John Flanagan 2004-12-21 03:40:15 UTC
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-491.html



Note You need to log in before you can comment on or make changes to this bug.